/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package toplinkjpa;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author Lionel
 */
@Entity
@Table(name = "localite")
@NamedQueries({@NamedQuery(name = "Localite.findById", query = "SELECT l FROM Localite l WHERE l.id = :id"), @NamedQuery(name = "Localite.findByVille", query = "SELECT l FROM Localite l WHERE l.ville = :ville")})
public class Localite implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Column(name = "id", nullable = false)
    private Integer id;
    @Column(name = "ville", nullable = false)
    private String ville;

    public Localite() {
    }

    public Localite(Integer id) {
        this.id = id;
    }

    public Localite(Integer id, String ville) {
        this.id = id;
        this.ville = ville;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getVille() {
        return ville;
    }

    public void setVille(String ville) {
        this.ville = ville;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Localite)) {
            return false;
        }
        Localite other = (Localite) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "toplinkjpa.Localite[id=" + id + "]";
    }

}
