/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package toplinkjpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 *
 * @author Lionel
 */
public class Main extends JFrame{

    private static EntityManagerFactory emf;
    private static EntityManager em;
    private static EntityTransaction trans;

    JLabel jAddPersonne = new JLabel("add personne");
    JLabel jDelPersonne = new JLabel("delete personne");
    JLabel jUpdatePersonne = new JLabel("update personne");
    JPanel panel1 = new JPanel(), panel2 = new JPanel(), panel3 = new JPanel(), panel4 = new JPanel();
    static JTextField jNomAdd = new JTextField(10);
    static JTextField jPrenomAdd = new JTextField(10);
    static JTextField jNomDel = new JTextField(10);
    static JTextField jIdDel = new JTextField(10);
    static JTextField jPrenomDel = new JTextField(10);
    static JTextField jIdUpdate = new JTextField(10);
    static JTextField jNomUpdate = new JTextField(10);
    static JTextField jPrenomUpdate = new JTextField(10);
    JButton jOKAdd = new JButton("OK"), jQuitter = new JButton("Quitter");
    static JButton jChercheDel = new JButton(">"), jOKDel = new JButton("OK"), jChercheUpdate = new JButton(">"), jOKUpdate = new JButton("OK");
    String[] titreColonnes = { "nom", "prenom"};
    JTable jTable;
    static Personne p;

 
    
    public Main()
    {
        
        
        this.setSize(800, 140);
        this.setLocation(400, 150);
        this.add(panel1, "North");
        this.add(panel2, "Center");
        this.add(panel3, "South");
        //this.add(panel4, "South");
        
        panel1.add(jAddPersonne);
        panel1.add(jNomAdd);
        panel1.add(jPrenomAdd);
        panel1.add(jOKAdd);
        
        jOKDel.setEnabled(false);
        panel2.add(jDelPersonne);
        panel2.add(jIdDel);
        panel2.add(jChercheDel);
        panel2.add(jNomDel);
        panel2.add(jPrenomDel);
        panel2.add(jOKDel);
        
        jOKUpdate.setEnabled(false);
        panel3.add(jUpdatePersonne);
        panel3.add(jIdUpdate);
        panel3.add(jChercheUpdate);
        panel3.add(jNomUpdate);
        panel3.add(jPrenomUpdate);
        panel3.add(jOKUpdate);
        
               
        panel3.add(jQuitter);
        //panel4.add(jTable);
        //jTable  = new JTable();        
        //AfficheDonnées();
        
        jChercheDel.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
                            AfficheDonnées("del");
			}
		});
                
        jOKDel.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				DelPersonne();
                                jOKDel.setEnabled(false);
			}
		});
                
        jChercheUpdate.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
                            AfficheDonnées("update");
			}
		});
                
        jOKUpdate.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				DelPersonne();
                                jOKDel.setEnabled(false);
			}
		});
        
        jOKAdd.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				AddPersonne();
			}
		});
                
                       
        jQuitter.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				Quitter();
			}
		});
        
        
        emf = Persistence.createEntityManagerFactory("Toplink_JPAPU");
        em = emf.createEntityManager();
        trans = em.getTransaction();         
                
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        
        new Main().setVisible(true);
        
    }
    
    public static void AddPersonne()
    {
        String nom = jNomAdd.getText(), prenom = jPrenomAdd.getText();
        p = new Personne(nom, prenom);
        
        // Persists a customer
        trans.begin();
        em.persist(p);
        trans.commit();
        
        jNomAdd.setText("");
        jPrenomAdd.setText("");
    }
    
    public static void DelPersonne()
    {
       // Finds the personne 
        try 
        {
            // Deletes the personne
            trans.begin();
            em.remove(p);
            trans.commit();
        }
        catch (Exception e) 
        {
        
        }
        
        
        jNomDel.setText("");
        jPrenomDel.setText("");
    }
    
    public static void UpdatePersonne()
    {
       // Finds the personne 
        try 
        {
            // Deletes the personne
            trans.begin();
            p.setNom(jNomUpdate.getText());
            p.setPrenom(jPrenomUpdate.getText());
            trans.commit();
        }
        catch (Exception e) 
        {
        
        }
        
        
        jNomUpdate.setText("");
        jPrenomUpdate.setText("");
    }
    
    public static void Quitter()
    {
        em.close();
        emf.close();
        
        System.exit(0);  
    }
    
    public static void AfficheDonnées( String type)
    {        
        try
        {
            if (type.equals("del"))
            {
            int id =  Integer.parseInt(jIdDel.getText());
            p = em.find(Personne.class, id);  
            jNomDel.setText(p.getNom());
            jPrenomDel.setText(p.getPrenom());
            jOKDel.setEnabled(true);
            }
            if (type.equals("update"))
            {
                int id =  Integer.parseInt(jIdUpdate.getText());
            p = em.find(Personne.class, id); 
            jNomUpdate.setText(p.getNom());
            jPrenomUpdate.setText(p.getPrenom());
            jOKUpdate.setEnabled(true);                
            }
        }
        catch (Exception e)
        {
        }
    }
    
}
